# Uses of Interface
org.opensaml.xmlsec.signature.Seed

Packages that use Seed
Package
Description
org.opensaml.xmlsec.signature
XMLObject interfaces and helper classes for representing digitally signed content and signing/validating content.
org.opensaml.xmlsec.signature.impl
Implementations of the interfaces for XMLObjects that represent XML signature types.

## Uses of Seed in org.opensaml.xmlsec.signature

Methods in org.opensaml.xmlsec.signature that return Seed
Modifier and Type
Method
Description
`Seed`
DSAKeyValue.`getSeed()`
Get the Seed element.
Methods in org.opensaml.xmlsec.signature with parameters of type Seed
Modifier and Type
Method
Description
`void`
DSAKeyValue.`setSeed(Seed newSeed)`
Set the Seed element.

## Uses of Seed in org.opensaml.xmlsec.signature.impl

Classes in org.opensaml.xmlsec.signature.impl that implement Seed
Modifier and Type
Class
Description
`class`
`SeedImpl`
Concrete implementation of `Seed`.
Fields in org.opensaml.xmlsec.signature.impl declared as Seed
Modifier and Type
Field
Description
`private Seed`
DSAKeyValueImpl.`seed`
Seed child element.
Methods in org.opensaml.xmlsec.signature.impl that return Seed
Modifier and Type
Method
Description
`Seed`
SeedBuilder.`buildObject()`
Builds an XMLObject using the default name and namespace information provided by the XML Signature specifications.
`Seed`
SeedBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Seed`
DSAKeyValueImpl.`getSeed()`
Get the Seed element.
Methods in org.opensaml.xmlsec.signature.impl with parameters of type Seed
Modifier and Type
Method
Description
`void`
DSAKeyValueImpl.`setSeed(Seed newSeed)`
Set the Seed element.